Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Public Attributes | List of all members
GridEntityDoor Class Reference
Inheritance diagram for GridEntityDoor:

## Public Member Functions
| SetRoomTypes (RoomType CurrentRoomType, RoomType TargetRoomType)
| Open ()
| Close (boolean Force)
| Bar ()
| SpawnDust ()
boolean | CanBlowOpen ()
boolean | TryBlowOpen (boolean FromExplossion)
| try to open the door by explosive force, true for success More...
boolean | TryUnlock (boolean Force)
| try to unlock the door using a key, true for success More...
boolean | IsOpen ()
boolean | IsKeyFamiliarTarget ()
| SetLocked (boolean Locked)
boolean | IsLocked ()
boolean | IsBusted ()
boolean | IsRoomType (RoomType Type)
boolean | IsTargetRoomArcade ()
const Vector & | GetSpriteOffset ()
Public Member Functions inherited from GridEntity
| SetType (GridEntityType Type)
| SetVariant (integer Variant)
| Init (integer Seed)
| PostInit ()
| Update ()
| Render (Vector Offset)
boolean | Hurt (integer Damage)
boolean | Destroy (boolean Immediate)
GridEntityType | GetType ()
integer | GetVariant ()
integer | GetGridIndex ()
Desc & | GetSaveState ()
GridEntityDoor | ToDoor ()
GridEntityPit | ToPit ()
GridEntityPoop | ToPoop ()
GridEntityRock | ToRock ()
GridEntityPressurePlate | ToPressurePlate ()
GridEntitySpikes | ToSpikes ()
GridEntityTNT | ToTNT ()

## Public Attributes
Direction | Direction
integer | TargetRoomIndex
DoorSlot | Slot
RoomType | CurrentRoomType
RoomType | TargetRoomType
Sprite | ExtraSprite
boolean | ExtraVisible
boolean | Busted
State | PreviousState
Variant | PreviousVariant
string | OpenAnimation
string | CloseAnimation
string | LockedAnimation
string | OpenLockedAnimation
Public Attributes inherited from GridEntity
const Vector | Position
| returns the position of the grid cell's center point More...
integer | State
integer | VarData
Desc | Desc
RNG | RNG
CollisionClass | CollisionClass
Sprite | Sprite

## Member Function Documentation

## ◆ Bar()

GridEntityDoor::Bar | ( |  | ) |

## ◆ CanBlowOpen()

boolean GridEntityDoor::CanBlowOpen | ( |  | ) |

## ◆ Close()

GridEntityDoor::Close | ( | boolean | Force | ) |

## ◆ GetSpriteOffset()

const Vector& GridEntityDoor::GetSpriteOffset | ( |  | ) |

## ◆ IsBusted()

boolean GridEntityDoor::IsBusted | ( |  | ) |

## ◆ IsKeyFamiliarTarget()

boolean GridEntityDoor::IsKeyFamiliarTarget | ( |  | ) |

## ◆ IsLocked()

boolean GridEntityDoor::IsLocked | ( |  | ) |

## ◆ IsOpen()

boolean GridEntityDoor::IsOpen | ( |  | ) |

## ◆ IsRoomType()

boolean GridEntityDoor::IsRoomType | ( | RoomType | Type | ) |

## ◆ IsTargetRoomArcade()

boolean GridEntityDoor::IsTargetRoomArcade | ( |  | ) |

## ◆ Open()

GridEntityDoor::Open | ( |  | ) |

## ◆ SetLocked()

GridEntityDoor::SetLocked | ( | boolean | Locked | ) |

## ◆ SetRoomTypes()

GridEntityDoor::SetRoomTypes | ( | RoomType | CurrentRoomType,
|  | RoomType | TargetRoomType
| ) |  |

## ◆ SpawnDust()

GridEntityDoor::SpawnDust | ( |  | ) |

## ◆ TryBlowOpen()

boolean GridEntityDoor::TryBlowOpen | ( | boolean | FromExplossion | ) |

try to open the door by explosive force, true for success

## ◆ TryUnlock()

boolean GridEntityDoor::TryUnlock | ( | boolean | Force | ) |

try to unlock the door using a key, true for success

## Member Data Documentation

## ◆ Busted

boolean GridEntityDoor::Busted

## ◆ CloseAnimation

string GridEntityDoor::CloseAnimation

## ◆ CurrentRoomType

RoomType GridEntityDoor::CurrentRoomType

## ◆ Direction

Direction GridEntityDoor::Direction

## ◆ ExtraSprite

Sprite GridEntityDoor::ExtraSprite

## ◆ ExtraVisible

boolean GridEntityDoor::ExtraVisible

## ◆ LockedAnimation

string GridEntityDoor::LockedAnimation

## ◆ OpenAnimation

string GridEntityDoor::OpenAnimation

## ◆ OpenLockedAnimation

string GridEntityDoor::OpenLockedAnimation

## ◆ PreviousState

State GridEntityDoor::PreviousState

## ◆ PreviousVariant

Variant GridEntityDoor::PreviousVariant

## ◆ Slot

DoorSlot GridEntityDoor::Slot

## ◆ TargetRoomIndex

integer GridEntityDoor::TargetRoomIndex

## ◆ TargetRoomType

RoomType GridEntityDoor::TargetRoomType